Bug 30721 - Markup error in detail page's component parts tab
Summary: Markup error in detail page's component parts tab
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 30227
Blocks:
  Show dependency treegraph
 
Reported: 2022-05-09 15:18 UTC by Owen Leonard
Modified: 2022-06-25 21:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the display of the component parts tab on the bibliographic detail page in the staff interface. A missing </div> was causing content from later tabs to be incorrectly displayed at the end of the component parts tab.
Version(s) released in:
22.05.00


Attachments
Bug 30721: Markup error in detail page's component parts tab (1.90 KB, patch)
2022-05-09 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30721: Markup error in detail page's component parts tab (1.95 KB, patch)
2022-05-10 00:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 30721: Markup error in detail page's component parts tab (2.00 KB, patch)
2022-05-13 07:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-05-09 15:18:30 UTC
There is a missing </div> in the markup for the component parts tab on the bibliographic details page which causes a problem with tab display.
Comment 1 Owen Leonard 2022-05-09 15:37:23 UTC
Created attachment 134786 [details] [review]
Bug 30721: Markup error in detail page's component parts tab

This patch adds a missing </div> to the bibliographic detail
page template in the section for showing component parts.
Some comments are added to clarify the markup structure.

To test you should have a record in your catalog with component
parts. Bug 11175 provides one you can import if necessary:
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=78023

To see the error, go to the staff interface, locate the record
in question and view the detail page. Under the Components tag,
scroll to the bottom. You will see content from "later" tabs at
the bottom, e.g. "There is no order for this bibliographic record"
or "No images have been uploaded for this bibliograhpic record yet."

Apply the patch and reload the page. The tabs should still look
correct, and now the tab content should be correctly isolated.
Comment 2 David Nind 2022-05-10 00:44:55 UTC
Created attachment 134800 [details] [review]
Bug 30721: Markup error in detail page's component parts tab

This patch adds a missing </div> to the bibliographic detail
page template in the section for showing component parts.
Some comments are added to clarify the markup structure.

To test you should have a record in your catalog with component
parts. Bug 11175 provides one you can import if necessary:
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=78023

To see the error, go to the staff interface, locate the record
in question and view the detail page. Under the Components tag,
scroll to the bottom. You will see content from "later" tabs at
the bottom, e.g. "There is no order for this bibliographic record"
or "No images have been uploaded for this bibliograhpic record yet."

Apply the patch and reload the page. The tabs should still look
correct, and now the tab content should be correctly isolated.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-05-10 00:47:14 UTC
Testing notes (koha-testing-docker):

- Enable ShowComponentRecords (set to 'both staff interface and OPAC').

- When staging and importing the sample record, set the format under settings to MARCXML.
Comment 4 Katrin Fischer 2022-05-13 07:55:44 UTC
Created attachment 134949 [details] [review]
Bug 30721: Markup error in detail page's component parts tab

This patch adds a missing </div> to the bibliographic detail
page template in the section for showing component parts.
Some comments are added to clarify the markup structure.

To test you should have a record in your catalog with component
parts. Bug 11175 provides one you can import if necessary:
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=78023

To see the error, go to the staff interface, locate the record
in question and view the detail page. Under the Components tag,
scroll to the bottom. You will see content from "later" tabs at
the bottom, e.g. "There is no order for this bibliographic record"
or "No images have been uploaded for this bibliograhpic record yet."

Apply the patch and reload the page. The tabs should still look
correct, and now the tab content should be correctly isolated.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 5 Fridolin Somers 2022-05-14 01:43:12 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Katrin Fischer 2022-06-08 13:30:54 UTC
Ping RMaint :)
Comment 7 Arthur Suzuki 2022-06-08 14:29:15 UTC
pushed to 21.11.x for 21.11.07, thx
Comment 8 Victor Grousset/tuxayo 2022-06-25 21:54:42 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document, marking resolved.